Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.util
Class MetadataAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.xds.metadata.util.MetadataAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class MetadataAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `MetadataPackage`

Constructor Summary
`MetadataAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createAuthorTypeAdapter()` Creates a new adapter for an object of class '`Author Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createCodedMetadataTypeAdapter()` Creates a new adapter for an object of class '`Coded Metadata Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentEntryTypeAdapter()` Creates a new adapter for an object of class '`Document Entry Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createFolderTypeAdapter()` Creates a new adapter for an object of class '`Folder Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createInternationalStringTypeAdapter()` Creates a new adapter for an object of class '`International String Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createLocalizedStringTypeAdapter()` Creates a new adapter for an object of class '`Localized String Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createMultipleDocumentSetTypeAdapter()` Creates a new adapter for an object of class '`Multiple Document Set Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createProvideAndRegisterDocumentSetTypeAdapter()` Creates a new adapter for an object of class '`Provide And Register Document Set Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSubmissionSetTypeAdapter()` Creates a new adapter for an object of class '`Submission Set Type`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataAdapterFactory

    public MetadataAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAuthorTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAuthorTypeAdapter()

  Creates a new adapter for an object of class '`Author Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuthorType`

### createCodedMetadataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCodedMetadataTypeAdapter()

  Creates a new adapter for an object of class '`Coded Metadata Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CodedMetadataType`

### createDocumentEntryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentEntryTypeAdapter()

  Creates a new adapter for an object of class '`Document Entry Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentEntryType`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createFolderTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFolderTypeAdapter()

  Creates a new adapter for an object of class '`Folder Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FolderType`

### createInternationalStringTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createInternationalStringTypeAdapter()

  Creates a new adapter for an object of class '`International String Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InternationalStringType`

### createLocalizedStringTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createLocalizedStringTypeAdapter()

  Creates a new adapter for an object of class '`Localized String Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LocalizedStringType`

### createMultipleDocumentSetTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createMultipleDocumentSetTypeAdapter()

  Creates a new adapter for an object of class '`Multiple Document Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MultipleDocumentSetType`

### createProvideAndRegisterDocumentSetTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createProvideAndRegisterDocumentSetTypeAdapter()

  Creates a new adapter for an object of class '`Provide And Register Document Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProvideAndRegisterDocumentSetType`

### createSubmissionSetTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSubmissionSetTypeAdapter()

  Creates a new adapter for an object of class '`Submission Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SubmissionSetType`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD